# js-babel-dev
Consolidated [Babel](https://babeljs.io/) dev-dependencies.

#### IMPORTANT

Do not reference this library unless you are happy staying in lock-step with the babel transpiler plugins used by my [modules](https://github.com/philcockfield/modules).


## Install
A single dependency will bring all the standard babel development dependencies:

    npm install --save-dev js-babel-dev


```json
{
  "devDependencies": {
    "js-babel-dev": "^1.0.0"
  }
}

```


## Building ES6 =>ES5
Example of NPM scripts within `package.json` for building ES6+ into a `/lib` folder:

```json
"scripts": {
  "build": "babel src --out-dir lib --source-maps",
  "build:watch": "npm run build -- --watch"
}
```


## Linting
Linting uses the [AirBnB style guide](https://github.com/airbnb/javascript) and corresponding linter.

Add a `.eslint` to your project with the following:

```json
{
  "parser": "babel-eslint",
  "extends": "airbnb"
}

```



## Tests
    npm install
    npm test


---
### License: MIT
